Subject: [PATCH v10 16/21] irqchip: Add GICv2 specific ACPI boot support

From: [email-masked] (Marc Zyngier)
Date: Thu, 12 Mar 2015 10:14:29 +0000

On 11/03/15 23:11, Jason Cooper wrote:
> Hey Grant,
> 
> On Wed, Mar 11, 2015 at 06:04:50PM +0000, Grant Likely wrote:
>> On 11 Mar 2015 12:42, "Hanjun Guo" <[email-masked]> wrote:
>>>
>>> From: Tomasz Nowicki <[email-masked]>
>>>
>>> ACPI kernel uses MADT table for proper GIC initialization. It needs to
>>> parse GIC related subtables, collect CPU interface and distributor
>>> addresses and call driver initialization function (which is hardware
>>> abstraction agnostic). In a similar way, FDT initialize GICv1/2.
>>>
>>> NOTE: This commit allow to initialize GICv1/2 basic functionality.
>>> While now simple GICv2 init call is used, any further GIC features
>>> require generic infrastructure for proper ACPI irqchip initialization.
>>> That mechanism and stacked irqdomains to support GICv2 MSI/virtualization
>>> extension, GICv3/4 and its ITS are considered as next steps.
>>>
>>> CC: Jason Cooper <[email-masked]>
>>> CC: Marc Zyngier <[email-masked]>
>>> CC: Thomas Gleixner <[email-masked]>
>>
>> BTW, Thomas is taking a bit of a break, do he is unlikely to give an ack
>> here in a timely manner. I've not heard from Jason. Personally, I think we
>> can proceed without their ack if everything else is in order (heck, I used
>> to help with the irq subsystem, use me as an ack of you want). The patch is
>> low impact and only had effect for ARM ACPI builds.
> 
> I'm not talking much, but I am tracking and collecting everything for irqchip.
> We do have some other changes in this driver this time around.  So it'd be nice
> if I could take this.
> 
> I had reached out to Olof for his thoughts on this and he hasn't had enough
> cycles to look at it.  iirc, Marc reviewed a previous version and was happy with
> the changes.

FWIW, and given the prominent "NOTE" in the commit message, please have my:

Acked-by: Marc Zyngier <[email-masked]>

Thanks,

	M.
-- 
Jazz is not dead. It just smells funny...